Show / Hide Table of Contents

# Class ISetConverter<T, TConverter>

An ISetConverter<T> which default constructs a converter for use as the value converter.

##### Inheritance

Object
ValueConverter<ISet<T>>
CollectionConverter<T, ISet<T>>
ISetConverter<T>
ISetConverter<T, TConverter>

##### Implements

IValueConverter

##### Inherited Members

ISetConverter<T>.Create(Int32, Object)
CollectionConverter<T, ISet<T>>.BaseConverter
CollectionConverter<T, ISet<T>>.Create(Int32, Object)
CollectionConverter<T, ISet<T>>.PopulateFromValue(ISet<T>, List, Object)
CollectionConverter<T, ISet<T>>.FromValue(Value, Object)
CollectionConverter<T, ISet<T>>.ToValue(ISet<T>, Object)
ValueConverter<ISet<T>>.ToValue(ISet<T>, Object)
ValueConverter<ISet<T>>.FromValue(Value, Object)
ValueConverter<ISet<T>>.IValueConverter.ToValue(Object, Object)
ValueConverter<ISet<T>>.IValueConverter.FromValue(Value, Object)
ValueConverter<ISet<T>>.IValueConverter.Type
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Config.Stores.Converters

###### Assembly: IPA.Loader.dll

##### Syntax

    public sealed class ISetConverter<T, TConverter> : ISetConverter<T>, IValueConverter where TConverter : ValueConverter<T>, new()

##### Type Parameters

Name | Description
--- | ---
T | the value type of the collection
TConverter | the type of the converter to use for `T`

### Constructors

| Improve this Doc View Source

#### ISetConverter()

Creates an ISetConverter<T> using a default constructed `TConverter` element type. Equivalent to calling ISetConverter(ValueConverter<T>) with a default-constructed `TConverter`.

##### Declaration

    public ISetConverter()

##### See Also

ISetConverter(ValueConverter<T>)

### Implements

IValueConverter

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])

### See Also

ISetConverter<T>